body{
    overflow-x: hidden;
    overflow-y: hidden;
}

header{
    width: 100%;
    height: 100vh;
    background:linear-gradient(to bottom,rgba(0,0,0,.5),rgba(0,0,0,.8)), url("../img/red_aston_martin_sports_car-wallpaper-3840x2160.jpg") center no-repeat;
    background-size: cover;
    
    .container{
        max-width: 120rem;
        width: 90%;
        margin: 0 auto;
    }
    
    nav{
        padding-top: 5rem;
        display: flex;
        justify-content: space-between;
        align-items: center;
        text-transform: uppercase;
        font-size: 18px;
        .brand{
            font-size: 2rem;
            font-weight: 300;
            
            span{
                color: crimson;
            }
            transform: translateX(-100rem);
            animation: slideIn .5s forwards;
        }
        
        ul{
            display: flex;
            li{
                list-style: none;
                a{
                    padding: 1rem 0;
                    margin: 0 3rem;
                    position: relative;
                    letter-spacing: 2px;
                    :last-child{
                        margin-right: 0;
                    }
                }
                transform: translateX(100rem);
                animation: slideIn .5s forwards;
                
            }
        }
    }
    nav ul li:nth-child(1){
        animation-delay: 0s;
    }
    nav ul li:nth-child(2){
        animation-delay: .5s;
    }
    nav ul li:nth-child(3){
        animation-delay: 1s;
    }
    nav ul li:nth-child(4){
        animation-delay: 1.5s;
    }
    nav ul li a::before,
    nav ul li a::after{
	    content: '';
	    position: absolute;
	    width: 100%;
	    height: 2px;
	    background-color: crimson;
	    left: 0;
	    transform: scaleX(0);
        transition: all .5s;
    }

    nav ul li a::before{
        top: 0;
        transform-origin: left;
    }

    nav ul li a::after{
        bottom: 0;
        transform-origin: right;
    }
    nav ul li a:hover::before,
    nav ul li a:hover::after{
        transform: scaleX(1);
    }
    
    @keyframes slideIn {
        from{

        }
        to{
            transform: translateX(0);
        }
    }
    
}











